SWITCH_ROOT(8)

NAZWA
switch_root - przełącza korzeń drzewa montowań na inny system plików

SKŁADNIA

switch_root [-hV]

switch_root nowy-korzeń init [argument...]

OPIS

switch_root przesuwa już zamontowane /proc, /dev, /sys i /run do nowego-korzenia i czyni nowy-korzeń nowym katalogiem głównym systemu plików oraz uruchamia proces init.

UWAGA: switch_root usuwa rekurencyjnie wszystkie pliki i katalogi w bieżącym katalogu głównym systemu plików.

OPCJE

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

switch_root zwraca 1 przy niepowodzeniu, natomiast nigdy nie powraca przy sukcesie.

UWAGI

switch_root nie zadziała, jeśli nowy-korzeń nie jest korzeniem montowania. Aby przełączyć korzeń na katalog, który nie spełnia tego kryterium, można wcześniej użyć sztuczki z montowaniem używając podpięcia, aby przekształcić dowolny katalog w punkt montowania:

    mount --bind $KATALOG $KATALOG

AUTORZY

ZOBACZ TAKŻE

chroot(2), init(8), mkinitrd(8), mount(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie switch_root jest częścią pakietu util-linux, który można pobrać ze strony